package co.yixiang.yshop.module.express.convert.electronicsorder;

import java.util.*;

import co.yixiang.yshop.framework.common.pojo.PageResult;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import co.yixiang.yshop.module.express.controller.admin.electronicsorder.vo.*;
import co.yixiang.yshop.module.express.dal.dataobject.electronicsorder.ElectronicsOrderDO;

/**
 * 电子面单 Convert
 *
 * @author yshop
 */
@Mapper
public interface ElectronicsOrderConvert {

    ElectronicsOrderConvert INSTANCE = Mappers.getMapper(ElectronicsOrderConvert.class);

    ElectronicsOrderDO convert(ElectronicsOrderCreateReqVO bean);

    ElectronicsOrderDO convert(ElectronicsOrderUpdateReqVO bean);

    ElectronicsOrderRespVO convert(ElectronicsOrderDO bean);

    List<ElectronicsOrderRespVO> convertList(List<ElectronicsOrderDO> list);

    PageResult<ElectronicsOrderRespVO> convertPage(PageResult<ElectronicsOrderDO> page);

    List<ElectronicsOrderExcelVO> convertList02(List<ElectronicsOrderDO> list);

}
